All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
cuda.hpp File Reference
`#include <utility>`
`#include <openpose/core/common.hpp>`

Go to the source code of this file.

## Namespaces

| op

## Functions

OP_API void | op::cudaCheck (const int line=-1, const std::string &function="", const std::string &file="")
OP_API int | op::getCudaGpuNumber ()
unsigned int | op::getNumberCudaBlocks (const unsigned int totalRequired, const unsigned int numberCudaThreads=CUDA_NUM_THREADS)
OP_API void | op::getNumberCudaThreadsAndBlocks (dim3 &numberCudaThreads, dim3 &numberCudaBlocks, const Point< int > &frameSize)

## Variables

const auto | op::CUDA_NUM_THREADS = 512u